UbuntuUpdates.org

Package "libexpat1-dev"

Name: libexpat1-dev

Description:

XML parsing C library - development kit

Latest version: 2.2.6-1ubuntu0.19.5
Release: disco (19.04)
Level: security
Repository: main
Head package: expat
Homepage: https://libexpat.github.io/

Links

Save this URL for the latest version of "libexpat1-dev": https://www.ubuntuupdates.org/libexpat1-dev


Download "libexpat1-dev"


Other versions of "libexpat1-dev" in Disco

Repository Area Version
base main 2.2.6-1
updates main 2.2.6-1ubuntu0.19.5

Changelog

Version: 2.2.6-1ubuntu0.19.5 2019-09-12 19:06:59 UTC

  expat (2.2.6-1ubuntu0.19.5) disco-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2019-15903.patch: Deny internal
      entities closing the doctype in expat/lib/xmlparse.c.
    - CVE-2019-15903

 -- <email address hidden> (Leonidas S. Barbosa) Tue, 10 Sep 2019 14:51:57 -0300

Source diff to previous version
CVE-2019-15903 In libexpat before 2.2.8, crafted XML input could fool the parser into changing from DTD parsing to document parsing too early; a consecutive call to

Version: 2.2.6-1ubuntu0.19.04 2019-06-26 20:07:46 UTC

  expat (2.2.6-1ubuntu0.19.04) disco-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-20843.patch: adds a break in
      setElementTypePrefix avoiding consume a high amount of RAM
      and CPU in expat/lib/xmlparser.c
    - CVE-2018-20843

 -- <email address hidden> (Leonidas S. Barbosa) Wed, 26 Jun 2019 13:21:50 -0300

CVE-2018-20843 In libexpat in Expat before 2.2.7, XML input including XML names that contain a large number of colons could make the XML parser consume a high amoun



About   -   Send Feedback to @ubuntu_updates